package structs

// TABLE chats
type Chat struct {
	UserFirstId  string
	UserSecondId string
	// Represents the current number of message activities in a chat. This includes reactions to messages, replying to messages, deleting messages, and more
	SyncCount int
	// Contains number X of last message activities. Needed e.g. for web
	LastMessages []string
	BlockedState uint8
	CreatedAt    int64
}

// swagger:model ChatsResponse
type ChatsResponse struct {
	Chats []Chat
}
